Home/Support/Support Forum/insmod, Invalid module format
Welcome to Digi Forum, where you can ask questions and receive answers from other members of the community.

insmod, Invalid module format

0 votes
I'm trying to go through the tutorial and have come to the chapter 6.8 Loading kernel modules. When I'm trying to
insert the created kernel module i get following error message: gpio:

version magic '2.6.17.7-fs.1 preempt mod_unload ARMv5 gcc-4.0' should be '2.6.17.7-DEL_4_0_RevA preempt mod_unload ARMv5 gcc-4.0'
insmod: cannot insert `gpio.ko': Invalid module format (-1): Exec format error

Can someone help me ?
asked Aug 2, 2007 in Linux by pelle New to the Community (1 point)
recategorized Jun 17, 2013 by mcarver

Please log in or register to answer this question.

2 Answers

0 votes
Which product do you have? What are you trying to load?
answered Aug 2, 2007 by michaelt Veteran of the Digi Community (760 points)
0 votes
I have the Digi Connect WI-9C. I have already solved the problem, I replaced the pre-programmed kernel then it was working
answered Aug 2, 2007 by pelle New to the Community (1 point)
...